summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorDavid Seifert <soap@gentoo.org>2022-07-03 15:39:01 +0200
committerDavid Seifert <soap@gentoo.org>2022-07-03 15:39:01 +0200
commit75ba31febe3ad06e585ca7cf3d5b0eaf48c8ee48 (patch)
tree402af354a5d0467f9ededb64b33adbfa2873bc87
parentapp-pda/jpilot: destabilize 1.8.2-r1 (diff)
downloadgentoo-75ba31febe3ad06e585ca7cf3d5b0eaf48c8ee48.tar.gz
gentoo-75ba31febe3ad06e585ca7cf3d5b0eaf48c8ee48.tar.bz2
gentoo-75ba31febe3ad06e585ca7cf3d5b0eaf48c8ee48.zip
app-pda/pilot-link: update EAPI 6 -> 8
Closes: https://github.com/gentoo/gentoo/pull/23943 Closes: https://bugs.gentoo.org/744046 Closes: https://bugs.gentoo.org/750203 Signed-off-by: David Seifert <soap@gentoo.org>
-rw-r--r--app-pda/pilot-link/Manifest2
-rw-r--r--app-pda/pilot-link/files/pilot-link-0.12.5-Werror-args.patch18
-rw-r--r--app-pda/pilot-link/pilot-link-0.12.5-r3.ebuild105
-rw-r--r--app-pda/pilot-link/pilot-link-0.12.5-r4.ebuild90
4 files changed, 91 insertions, 124 deletions
diff --git a/app-pda/pilot-link/Manifest b/app-pda/pilot-link/Manifest
index 2fefa7bae9e2..5960e2a65f9c 100644
--- a/app-pda/pilot-link/Manifest
+++ b/app-pda/pilot-link/Manifest
@@ -1,2 +1,2 @@
-DIST pilot-link-0.12.5-gentoo-patchset.tar.bz2 8182 BLAKE2B db6e053bebc2876308d5bf5c29b86b9f22aecd0e75ed6d16e9214d63d73cb5e2dc7080bcd03a9d4dc21d4f2ef84d9632bac6cd36673d93915db9fd095ae12dfd SHA512 141900ef42d8a6716d7e0a219e1b75609f392c393376fb60f645561cfe1cf67ad9cec03321a31dcf1e8a70c75591df6eac4f727c957487496ab46ae6aa2dc90d
+DIST pilot-link-0.12.5-gentoo-patchset-r1.tar.xz 8696 BLAKE2B 1dd2015a4e77a2c93bb5bede88ed753aa0c8bd175744ee3cf49c9779312c3d99fa578ab307cd96af51f736a9fd44135628cef73c9041e5b4230c7a8c6c9d6b53 SHA512 ecbd9c14ebf1fc5c129a93a4cc6f3c0f7da1f47e9c02fbc7ce908a2462b26c68a3b0d28b21e633b4703bd0c1889d84820b5bd3eee3cb9dfaa2eab1651414bc73
DIST pilot-link-0.12.5.tar.bz2 1578735 BLAKE2B acc8748448d90928ac393e3d716f9d12c7962e18564a738b5f01e19bb225d610e179bb0694aded57979c7240df2652cac72845e5b8cdcddf6a4a800bbac4424b SHA512 a12972fb7a43f2dfccb82a046ca372c9fce5333f632a77880439c4f4705af6a7f16b76f04c9f3ed0d6a12aad55a3a55f8781a4e92931bc6907cd1ec4f1209868
diff --git a/app-pda/pilot-link/files/pilot-link-0.12.5-Werror-args.patch b/app-pda/pilot-link/files/pilot-link-0.12.5-Werror-args.patch
deleted file mode 100644
index 5e6b939d0100..000000000000
--- a/app-pda/pilot-link/files/pilot-link-0.12.5-Werror-args.patch
+++ /dev/null
@@ -1,18 +0,0 @@
--Werror can have args now, but didn't when this code was originally written.
-
-Closes: https://bugs.gentoo.org/show_bug.cgi?id=714828
-Signed-off-by: Robin H. Johnson <robbat2@gentoo.org>
-
---- pilot-link-0.12.5.orig/configure.ac 2020-08-02 21:58:12.481559328 -0700
-+++ pilot-link-0.12.5/configure.ac 2020-08-02 22:02:49.641291824 -0700
-@@ -63,8 +63,8 @@
- dnl Eat -Werror so configure will run properly, if the user provided it
- enable_werror=no
- save_CFLAGS="$CFLAGS"
--CFLAGS=`echo $save_CFLAGS | sed -e s/-Werror//g`
--CXXFLAGS=`echo $save_CXXFLAGS | sed -e s/-Werror//g`
-+CFLAGS=`echo $save_CFLAGS | sed -r -e 's/-Werror(=[^[:space:]]+)?//g'`
-+CXXFLAGS=`echo $save_CXXFLAGS | sed -r -e 's/-Werror(=[^[:space:]]+)?//g'`
- if test "x$CFLAGS" != "x$save_CFLAGS"; then
- dnl -Werror was set; treat it as implicit --enable-werror below
- enable_werror="yes"
diff --git a/app-pda/pilot-link/pilot-link-0.12.5-r3.ebuild b/app-pda/pilot-link/pilot-link-0.12.5-r3.ebuild
deleted file mode 100644
index 61b734b732d0..000000000000
--- a/app-pda/pilot-link/pilot-link-0.12.5-r3.ebuild
+++ /dev/null
@@ -1,105 +0,0 @@
-# Copyright 1999-2020 Gentoo Authors
-# Distributed under the terms of the GNU General Public License v2
-
-EAPI=6
-
-inherit autotools perl-module
-
-DESCRIPTION="Suite of tools for moving data between a Palm device and a desktop"
-# this is a new mirror; the distfile has the same content inside the tarball,
-# but the tarball itself doesn't match due to recompression and Git
-# indirection.
-HOMEPAGE="https://github.com/jichu4n/pilot-link"
-SRC_URI="mirror://gentoo/${P}.tar.bz2
- https://dev.gentoo.org/~mgorny/dist/${P}-gentoo-patchset.tar.bz2"
-
-LICENSE="|| ( GPL-2 LGPL-2 )"
-SLOT="0"
-KEYWORDS="~alpha amd64 ~arm ~hppa ~ia64 ppc ppc64 x86 ~amd64-linux ~x86-linux"
-IUSE="bluetooth debug perl png static-libs threads usb"
-
-COMMON_DEPEND="
- dev-libs/popt
- >=sys-libs/ncurses-5.7-r7:0=
- >=sys-libs/readline-6:0=
- virtual/libiconv
- bluetooth? ( net-wireless/bluez )
- perl? ( >=dev-lang/perl-5.12 )
- png? ( media-libs/libpng:0= )
- usb? ( virtual/libusb:0 )
-"
-DEPEND="${COMMON_DEPEND}"
-RDEPEND="${COMMON_DEPEND}"
-
-RESTRICT="test" #672872
-
-src_prepare() {
- default
-
- eapply -p0 "${WORKDIR}/${P}-gentoo-patchset"/${PN}-0.12.3-java-install.patch
- eapply -p0 "${WORKDIR}/${P}-gentoo-patchset"/${PN}-0.12.3-respect-javacflags.patch
- eapply -p0 "${WORKDIR}/${P}-gentoo-patchset"/${PN}-0.12.2-werror_194921.patch
- eapply -p1 "${WORKDIR}/${P}-gentoo-patchset"/${PN}-0.12.2-threads.patch
- eapply -p0 "${WORKDIR}/${P}-gentoo-patchset"/${PN}-0.12.3-libpng14.patch
- eapply -p1 "${WORKDIR}/${P}-gentoo-patchset"/${PN}-0.12.3-png.patch
- eapply -p0 "${WORKDIR}/${P}-gentoo-patchset"/${PN}-0.12.3-distutils.patch
- eapply -p1 "${WORKDIR}/${P}-gentoo-patchset"/${PN}-0.12.3-libusb-compat-usb_open.patch
- eapply -p1 "${WORKDIR}/${P}-gentoo-patchset"/${PN}-0.12.5-perl514.patch
- eapply -p1 "${FILESDIR}"/${PN}-0.12.5-Werror-args.patch
-
- sed -i -e 's:AM_CONFIG_HEADER:AC_CONFIG_HEADERS:' configure.ac || die #467600
-
- AT_M4DIR="m4" eautoreconf
-
-}
-
-src_configure() {
- # tcl/tk support is disabled as per upstream request.
- # readline is not really optional, bug #626504
- # Does not build with Java 8
- # Does not build with Python 3, bug 735238
- econf \
- --includedir="${EPREFIX}"/usr/include/libpisock \
- $(use_enable static-libs static) \
- --enable-conduits \
- --with-readline \
- $(use_enable threads) \
- $(use_enable usb libusb) \
- $(use_enable debug) \
- $(use_with png libpng) \
- $(use_with bluetooth bluez) \
- $(use_with perl) \
- --without-java \
- --without-tcl \
- --without-python
-}
-
-src_compile() {
- emake
-
- if use perl; then
- cd "${S}"/bindings/Perl
- perl-module_src_configure
- local mymake=( OTHERLDFLAGS="${LDFLAGS} -L../../libpisock/.libs -lpisock" ) #308629
- perl-module_src_compile
- fi
-
- # Python 2.0 only; not enabled anymore
- # bug 735238
-}
-
-src_install() {
- emake DESTDIR="${D}" install
- dodoc ChangeLog NEWS README doc/{README*,TODO}
-
- if use perl; then
- cd "${S}"/bindings/Perl
- perl-module_src_install
- fi
-
- find "${D}" -name '*.la' -delete || die
-}
-
-pkg_preinst() {
- perl_set_version
-}
diff --git a/app-pda/pilot-link/pilot-link-0.12.5-r4.ebuild b/app-pda/pilot-link/pilot-link-0.12.5-r4.ebuild
new file mode 100644
index 000000000000..455a7e5c39ed
--- /dev/null
+++ b/app-pda/pilot-link/pilot-link-0.12.5-r4.ebuild
@@ -0,0 +1,90 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit autotools perl-module
+
+DESCRIPTION="Suite of tools for moving data between a Palm device and a desktop"
+# this is a new mirror; the distfile has the same content inside the tarball,
+# but the tarball itself doesn't match due to recompression and Git
+# indirection.
+HOMEPAGE="https://github.com/jichu4n/pilot-link"
+SRC_URI="
+ mirror://gentoo/${P}.tar.bz2
+ https://dev.gentoo.org/~soap/distfiles/${P}-gentoo-patchset-r1.tar.xz"
+
+LICENSE="|| ( GPL-2 LGPL-2 )"
+SLOT="0"
+KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~x86 ~amd64-linux ~x86-linux"
+IUSE="bluetooth perl png threads usb"
+RESTRICT="test" #672872
+
+RDEPEND="
+ dev-libs/popt
+ sys-libs/ncurses:=
+ sys-libs/readline:=
+ virtual/libiconv
+ bluetooth? ( net-wireless/bluez )
+ perl? ( dev-lang/perl:= )
+ png? ( media-libs/libpng:= )
+ usb? ( virtual/libusb:0 )"
+DEPEND="${RDEPEND}"
+BDEPEND="
+ virtual/pkgconfig
+ perl? ( dev-lang/perl )"
+
+PATCHES=( "${WORKDIR}/${P}-gentoo-patchset"/ )
+
+src_prepare() {
+ default
+ eautoreconf
+}
+
+src_configure() {
+ # tcl/tk support is disabled as per upstream request.
+ # readline is not really optional, bug #626504
+ # Does not build with Java 8
+ # Does not build with Python 3, bug #735238
+ econf \
+ --includedir="${EPREFIX}"/usr/include/libpisock \
+ --enable-conduits \
+ --with-readline \
+ $(use_enable threads) \
+ $(use_enable usb libusb) \
+ $(use_with png libpng) \
+ $(use_with bluetooth bluez) \
+ $(use_with perl) \
+ --without-java \
+ --without-tcl \
+ --without-python
+
+ if use perl; then
+ perl_set_version
+
+ cd bindings/Perl || die
+ perl-module_src_configure
+ fi
+}
+
+src_compile() {
+ emake
+
+ if use perl; then
+ cd bindings/Perl || die
+ local mymake=( OTHERLDFLAGS="${LDFLAGS} -L../../libpisock/.libs -lpisock" ) #308629
+ perl-module_src_compile
+ fi
+}
+
+src_install() {
+ default
+ dodoc doc/{README*,TODO}
+
+ if use perl; then
+ cd bindings/Perl || die
+ perl-module_src_install
+ fi
+
+ find "${ED}" -name '*.la' -delete || die
+}